### Method

# Gimp Image insert_path

#### Declaration [src]

    gboolean
    gimp_image_insert_path (
      GimpImage* image,
      GimpPath* path,
      GimpPath* parent,
      gint position
    )

#### Description [src]

Add the specified path to the image.

This procedure adds the specified path to the image at the given position. Since path groups are not currently supported, the parent argument must always be 0. The position argument specifies the location of the path inside the stack, starting from the top (0) and increasing. If the position is specified as -1, then the path is inserted above the active path.

#### Parameters

`path`

  Type: `GimpPath`

  The path.

  The data is owned by the caller of the method.

`parent`

  Type: `GimpPath`

  The parent path.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`position`

  Type: `gint`

  The path position.

#### Return value

Type: `gboolean`

TRUE on success.